<!DOCTYPE html>
<html>
<head>
	<title>First Java Script</title>
</head>

<link rel="stylesheet" type="text/css" href="css/calculator.css">

<style type="text/css">
	
	input[type="button"]{
		width: 40px;
		height: 40px;
		outline: none;
	}

	.ans{
		border-top: none;
		position: relative;
		left:2px;
		text-align: right;
	}

	.nump{
		position: relative;
		left: 2px;
		border-bottom: none;
	}

	.tble{
		top: 50%;
		left: 50%;
		position: absolute;
	}
</style>
 
<body>

<div class="body">
	<form action="abc.html" method="post" name="form">
				
				<input type="text" class="nump" name="nump" readonly><br>		
				<input type="text" class="ans" name="ans" style=" text-align: left;" readonly>
	</form>
			
		<table class="table">
			<tr>
				<td><input type="button" value="<" onclick="back()"></td>
				<td><input type="button" value="C" onclick="clean()"></td>
				<td><input type="button" value="/" onclick="insert('/'), calculate('/')"></td>
				<td><input type="button" value="X" onclick="insert('*'), calculate('*')"></td>

			</tr>
			
			<tr>
				<td><input type="button" value="7" onclick="insert(7), overwrite(7)"></td>
				<td><input type="button" value="8" onclick="insert(8), overwrite(8)"></td>
				<td><input type="button" value="9" onclick="insert(9), overwrite(9)"></td>
				<td><input type="button" value="-" onclick="insert('-'), calculate('-')">
			</tr>
		
			<tr>
				<td><input type="button" value="4" onclick="insert(4), overwrite(4)"></td>
				<td><input type="button" value="5" onclick="insert(5), overwrite(5)"></td>
				<td><input type="button" value="6" onclick="insert(6), overwrite(6)"></td>
				<td rowspan="2"><input type="button" value="+" style="height: 85px;" onclick="insert('+'), calculate('+')"></td>
			</tr>
			
			<tr>
				<td><input type="button" value="1" onclick="insert(1), overwrite(1)"></td>
				<td><input type="button" value="2" onclick="insert(2), overwrite(2)"></td>
				<td><input type="button" value="3" onclick="insert(3), overwrite(3)"></td>
			</tr>

			<tr>
				<td colspan="2"><input type="button" value="0" style="width: 100%;" onclick="insert(0), overwrite(0)"></td>
				<td><input type="button" value="." onclick="insert('.'), overwrite('.')"></td>
				<td><input type="button" value="=" onclick="equal()" class="equal"></td>
			</tr>
		</table>
</div>

	<script src="js\calculator.js"></script>
</body>
</html>